Cyberduck Mountain Duck CLI

#8391 closed defect (duplicate)

Connection with rsa key no longer works

Reported by: anarchocap Owned by: dkocher
Priority: normal Milestone: 4.6.1
Component: sftp Version: 4.6
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.9

Description

When trying to use a SFTP RSA passcode, in version 4.6 pressing the Login button results in nothing happening (and a beep in Yosemite like there was a problem). In 4.6.1 the passcode won't even prompt and an authentication error is returned.

Change History (8)

comment:1 Changed on Dec 2, 2014 at 9:09:01 PM by anarchocap

Sorry, the 4.6.1 behavior is mirroring 4.6.0. The non-prompting of the passcode was due to my account being locked out from the defect.

comment:2 Changed on Dec 2, 2014 at 9:42:19 PM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.6.1
  • Owner set to dkocher

comment:3 Changed on Dec 2, 2014 at 9:42:27 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:4 Changed on Dec 2, 2014 at 10:28:28 PM by anarchocap

grep cyberduck /var/log/system.log

Dec  2 12:08:10 xxxxxxxx Cyberduck[5632]: [main] ERROR ch.cyberduck.core.aquaticprime.LicenseFactory - Failure finding receipt Access denied

This gets repeated multiple times. Is that what you were looking for?

Last edited on Dec 3, 2014 at 12:21:55 PM by dkocher (previous) (diff)

comment:5 Changed on Dec 3, 2014 at 1:25:56 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #8371.

comment:6 follow-up: Changed on Jan 13, 2015 at 8:02:20 PM by dkocher

Would it be possible for you to create a new key pair that does not work and attach it here.

comment:7 in reply to: ↑ 6 Changed on Jan 14, 2015 at 9:38:37 PM by anarchocap

Replying to dkocher:

Would it be possible for you to create a new key pair that does not work and attach it here.

I'm not sure what you mean by a new key pair? When I log in, I submit my username and password, then get a RSA time based passcode request based on my pin for two-factor auth. Are you requesting a time period / passcode pair?

comment:8 Changed on Jan 15, 2015 at 7:45:56 AM by dkocher

I was mixing up this ticket with another issue. I assume this issue is resolved for you as of 4.6.1.

Note: See TracTickets for help on using tickets.
swiss made software